#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './gamestats.ui'
**
** Created: 2012-10-06T20:42:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gamestats.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GameStats as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
GameStats::GameStats( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GameStats" );
    setSizeGripEnabled( TRUE );
    GameStatsLayout = new QVBoxLayout( this, 11, 6, "GameStatsLayout"); 

    tqlayout3 = new QHBoxLayout( 0, 0, 6, "tqlayout3"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    tqlayout3->addWidget( textLabel1 );

    GameType = new QComboBox( FALSE, this, "GameType" );
    GameType->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, GameType->sizePolicy().hasHeightForWidth() ) );
    tqlayout3->addWidget( GameType );
    GameStatsLayout->addLayout( tqlayout3 );

    tqlayout5 = new QHBoxLayout( 0, 0, 6, "tqlayout5"); 

    tqlayout2 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout2"); 

    Won = new QLabel( this, "Won" );
    Won->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    tqlayout2->addWidget( Won, 1, 1 );

    WonPerc = new QLabel( this, "WonPerc" );

    tqlayout2->addWidget( WonPerc, 1, 2 );

    textLabel7 = new QLabel( this, "textLabel7" );

    tqlayout2->addWidget( textLabel7, 2, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );

    tqlayout2->addWidget( textLabel2, 0, 0 );

    LooseStreak = new QLabel( this, "LooseStreak" );
    LooseStreak->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    tqlayout2->addWidget( LooseStreak, 3, 1 );

    textLabel8 = new QLabel( this, "textLabel8" );

    tqlayout2->addWidget( textLabel8, 3, 0 );

    WinStreak = new QLabel( this, "WinStreak" );
    WinStreak->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    tqlayout2->addWidget( WinStreak, 2, 1 );

    textLabel3 = new QLabel( this, "textLabel3" );

    tqlayout2->addWidget( textLabel3, 1, 0 );

    Played = new QLabel( this, "Played" );
    Played->setTqalignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    tqlayout2->addWidget( Played, 0, 1 );
    tqlayout5->addLayout( tqlayout2 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer2 );
    GameStatsLayout->addLayout( tqlayout5 );
    spacer3 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GameStatsLayout->addItem( spacer3 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );
    GameStatsLayout->addLayout( Layout1 );
    languageChange();
    resize( QSize(310, 211).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( GameType, SIGNAL( activated(int) ), this, SLOT( setGameType(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GameStats::~GameStats()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GameStats::languageChange()
{
    setCaption( tr2i18n( "Statistics" ) );
    textLabel1->setText( tr2i18n( "Game:" ) );
    Won->setText( tr2i18n( "%1" ) );
    WonPerc->setText( tr2i18n( "(%1%)" ) );
    textLabel7->setText( tr2i18n( "Longest winning streak:" ) );
    textLabel2->setText( tr2i18n( "Games played:" ) );
    LooseStreak->setText( tr2i18n( "%1" ) );
    textLabel8->setText( tr2i18n( "Longest losing streak:" ) );
    WinStreak->setText( tr2i18n( "%1" ) );
    textLabel3->setText( tr2i18n( "Games won:" ) );
    Played->setText( tr2i18n( "%1" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
}

void GameStats::setGameType(int)
{
    qWarning( "GameStats::setGameType(int): Not implemented yet" );
}

#include "gamestats.moc"
